## ros-indigo-interaction-cursor-demo 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(interaction_cursor_demo)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
             geometry_msgs interaction_cursor_msgs razer_hydra roscpp std_msgs tf)

## System dependencies are found with CMake's conventions
find_package(cmake_modules REQUIRED)
find_package(Boost REQUIRED COMPONENTS system)
find_package(Eigen REQUIRED)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and scripts declared therein get installed
# catkin_python_setup()


###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
   INCLUDE_DIRS src
   LIBRARIES interaction_cursor_demo
   CATKIN_DEPENDS geometry_msgs interaction_cursor_msgs razer_hydra roscpp std_msgs tf
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  src/
  ${catkin_INCLUDE_DIRS}
  ${EIGEN_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

add_subdirectory(src)

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== src/CMakeLists.txt ===
add_subdirectory(interaction_cursor_demo)

add_executable(interaction_cursor_demo_node
               main.cpp
)
add_dependencies(interaction_cursor_demo_node ${PROJECT_NAME})

target_link_libraries(interaction_cursor_demo_node
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)



install(TARGETS interaction_cursor_demo_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== src/interaction_cursor_demo/CMakeLists.txt ===
#include_directories(.)

add_library(${PROJECT_NAME}
  abstract_handle.cpp
  tf_scenegraph_object.cpp
  camera_node.cpp
  manipulator_node.cpp
  user_entity.cpp
  abstract_interaction_tool.cpp
  #haptic_interaction_tool.cpp
  hydra_interaction_tool.cpp
)

add_dependencies(${PROJECT_NAME} interaction_cursor_msgs)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY ./
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-indigo-interaction-cursor-demo (0.0.3-1trusty) trusty; urgency=high

  * fix and tweak demo launch
  * Contributors: Adam Leeper

 -- Adam Leeper <adamleeper@gmail.com>  Wed, 14 May 2014 07:00:00 -0000

ros-indigo-interaction-cursor-demo (0.0.2-1trusty) trusty; urgency=high

  * add missing run depend
  * add metapackage
  * update to use fixed view controller
  * apply catkin_lint
  * Contributors: Adam Leeper

 -- Adam Leeper <adamleeper@gmail.com>  Tue, 13 May 2014 07:00:00 -0000

ros-indigo-interaction-cursor-demo (0.0.1-1trusty) trusty; urgency=high

  * renamed demo executable
  * fixes launch files
  * fixes install paths
  * changed maintainer email
  * adds some launch params
  * adds demo launch and config files
  * removed references to cat_user_entity
  * moves cat_user_entity to interaction_cursor_demo
  * Contributors: Adam Leeper

 -- Adam Leeper <adamleeper@gmail.com>  Mon, 01 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-interaction-cursor-demo
Section: misc
Priority: extra
Maintainer: Adam Leeper <adamleeper@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-interaction-cursor-msgs, ros-indigo-razer-hydra, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://www.ros.org/wiki/interaction_cursor_demo
Standards-Version: 3.9.2

Package: ros-indigo-interaction-cursor-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-interaction-cursor-msgs, ros-indigo-interactive-marker-tutorials, ros-indigo-razer-hydra, ros-indigo-roscpp, ros-indigo-rviz-fixed-view-controller, ros-indigo-std-msgs, ros-indigo-tf
Description: A demo 3D cursor interaction application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-interaction-cursor-demo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
